Použite OpenAI Chat Completions API na konverzácie. Toto je klasický formát OpenAI chat API.
/api/ai/v1/chat/completionsBearer YOUR_API_KEY| Parameter | Typ | Povinné | Popis |
|---|---|---|---|
model | string | Povinné | Názov modelu, napr. deepseek-v4.1-flash, qwen3.8-max |
messages | array | Povinné | Pole správ vo formáte |
max_tokens | integer | Voliteľné | Maximálny počet výstupných tokenov |
temperature | float | Voliteľné | Vzorkovacia teplota, riadi náhodnosť (0-2) |
stream | boolean | Voliteľné | Povoliť streamovanú odpoveď, nastavte na true pre SSE |
| Parameter | Typ | Popis |
|---|---|---|
id | string | Jedinečný identifikátor odpovede |
model | string | Skutočne použitý model |
choices | array | Pole možností odpovede, zvyčajne sa berie prvá |
usage | object | Štatistiky využitia tokenov |
curl --location 'https://your-domain.com/api/ai/v1/chat/completions' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--data '{
"model": "deepseek-v4.1-flash",
"messages": [
{"role": "user", "content": "Hello, who are you?"}
],
"max_tokens": 1000,
"temperature": 0.7
}'import requests
response = requests.post(
"https://your-domain.com/api/ai/v1/chat/completions",
headers={
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_KEY"
},
json={
"model": "deepseek-v4.1-flash",
"messages": [
{"role": "user", "content": "Hello, who are you?"}
],
"max_tokens": 1000,
"temperature": 0.7
}
)
print(response.json())curl --location 'https://your-domain.com/api/ai/v1/chat/completions' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_API_KEY' \
--data '{
"model": "deepseek-v4.1-flash",
"messages": [{"role": "user", "content": "Hello"}],
"max_tokens": 1000,
"stream": true
}'